Bug 50010 - emacs make-mode doesn't know how to fontify ?= assignments
Summary: emacs make-mode doesn't know how to fontify ?= assignments
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: emacs   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-25 22:01 UTC by Jonathan Kamens
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-30 15:27:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2001-07-25 22:01:37 UTC
Emacs make-mode doesn't know that ?= is a valid macro assignment operator,
so it doesn't know how to fontify it.  I'll attach a patch.

Comment 1 Jonathan Kamens 2001-07-25 22:10:16 UTC
Grr.  Bugzilla is busted right now and won't let me attach the patch as a
separate file.  Here it is:

--- /usr/share/emacs/20.7/lisp/progmodes/make-mode.el	Sat Feb  6 23:01:34 1999
+++ /tmp/make-mode.el	Wed Jul 25 14:12:16 2001
@@ -241,7 +241,7 @@
 ;; that if you change this regexp you might have to fix the imenu
 ;; index in makefile-imenu-generic-expression.
 (defconst makefile-macroassign-regex
-  "^ *\\([^ \n\t][^:#= \t\n]*\\)[ \t]*[*:+]?:?="
+  "^ *\\([^ \n\t][^:#= \t\n]*\\)[ \t]*[*:+]?[:?]?="
   "Regex used to find macro assignment lines in a makefile.")
 
 (defconst makefile-ignored-files-in-pickup-regex


Comment 2 Trond Eivind Glomsrxd 2001-07-30 03:10:10 UTC
Will add. Bugs with patches are my preferred kind :)

Comment 3 Trond Eivind Glomsrxd 2001-07-30 03:51:18 UTC
Do you have any example makefiles using this?

Comment 4 Jonathan Kamens 2001-07-30 15:27:51 UTC
Here's one:

---cut here---
FOO1 = bar
FOO2 := bar
FOO3 ?= bar
---cut here---

The first two lines will be colorized correctly without my fix.  The third one
won't.


Comment 5 Trond Eivind Glomsrxd 2001-07-31 04:25:24 UTC
Fixed in emacs 20.7-41


Note You need to log in before you can comment on or make changes to this bug.